#
# spec file for package python-pycryptopp
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pycryptopp
Version:        0.7.1.869544967005693312591928092448767568728501330214
Release:        3.55
Summary:        Python Wrappers for the Crypto++ Library
License:        GPL-2.0+ or SUSE-TGPPL-1.0+
Group:          Development/Libraries/Python
Url:            http://allmydata.org/trac/pycryptopp
Source:         https://files.pythonhosted.org/packages/source/p/pycryptopp/pycryptopp-%{version}.tar.gz 
Patch0:         pycryptopp-0.5.29-disable-w-flag.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  libcryptopp-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-xml
Provides:       python-cryptopp = %{version}
Obsoletes:      python-cryptopp < %{version}

%description
RSA-PSS-SHA256 signatures, ECDSA(1363)/EMSA1(SHA-256) signatures, SHA-256
hashes, and AES-CTR encryption for Python.

%prep
%setup -q -n pycryptopp-%{version}
%patch0

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="%{optflags} -fno-strict-aliasing"
python setup.py build --disable-embedded-cryptopp

%install
python setup.py install --single-version-externally-managed --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}%{_docdir}
mv %{buildroot}%{_datadir}/doc/pycryptopp %{buildroot}%{_docdir}/

%check
python setup.py test

%files
%defattr(-,root,root)
%doc COPYING.GPL COPYING.MIT.txt COPYING.SPL.txt COPYING.TGPPL.rst copyright NEWS.rst README.*.rst README.rst
%{_docdir}/pycryptopp
%{python_sitearch}/pycryptopp
%{python_sitearch}/pycryptopp-%{version}-*.egg-info

%changelog
* Thu Sep 15 2016 toddrme2178@gmail.com
- Update to 0.7.1.869544967005693312591928092448767568728501330214
  * No upstream changelog
- Rename to python-pycryptopp to match python package naming rules.
* Fri Dec  9 2011 cfarrell@suse.com
- license update: GPL-2.0+ or SUSE-TGPPL-1.0+
  Package has a dual license. Use SPDX format (the SUSE prefix indicates
  that the license is not yet upstreamed)
* Thu Dec  8 2011 coolo@suse.com
- COPYING.GPL says it's GPL-2.0+
* Sat Jan 29 2011 andreas.hanke@gmx-topmail.de
- Update to version 0.5.29 (no upstream changelog available).
  Changelog of version 0.5.28:
  * re-enable the ECDSA module, but please do not rely on it as it is
    expected to change in backwards-incompatible ways in future releases
  * several changes to the build system to make it tidier and less
    error-prone -- see revision control history for details
- drop pycryptopp-unbundle.patch (now fixed upstream in a different way)
- ship ChangeLog and NEWS.rst
* Sat Dec 18 2010 andreas.hanke@gmx-topmail.de
- add pycryptopp-unbundle.patch from Fedora to fix build
- remove extraversion.h, not needed with system cryptopp
- run tests
- merged from package by Toni Graffy <toni@links2linux.de>:
  - remove duplicate documentation
- merged from package by Pascal Bleser <pascal.bleser@opensuse.org>:
  - remove tests
* Thu Dec 16 2010 cristian.rodriguez@opensuse.org
- Update to version 0.5.25
  * make setup backwards-compatible to Python 2.4
  * fix incompatibilities between setup script and older versions of darcsver
  * don't attempt to compile Mac OS X extended attribute files (this fixes the build breaking)
  * include a version number of the specific version of Crypto++ in extraversion.h
  * small changes to docs
  Update to version 0.5.20 changes:
  * fix bugs in assembly implementation of SHA-256 from Crypto++
  * fix it to compile on *BSD (#39)
  * improve doc strings
  * add a quick start-up-self-test of SHA256 (#43)
  * execute the quick start-up-self-tests of AES and SHA256 on module import
- build with -fno-strict-aliasing
- use system cryptopp library
* Tue Dec  2 2008 James Oakley <jfunk@funktronics.ca>
- Initial release
